Bug 142351 - FILEOPEN XLSX “Cross other axis” value not imported
Summary: FILEOPEN XLSX “Cross other axis” value not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.3.0 target:7.2.1
Keywords: bibisectRequest, filter:xlsx, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2021-05-18 12:56 UTC by NISZ LibreOffice Team
Modified: 2021-08-24 09:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (14.72 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-05-18 12:56 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (119.64 KB, image/png)
2021-05-18 12:57 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-18 12:56:49 UTC
Created attachment 172130 [details]
Example file from Excel

Attached example file contains a simple line chart with negative and positive values.
The Y axis was set up to cross the X axis at the value of -50 (default is Automatic, meaning 0). This makes the X axis and axis labels appear below the chart, while the default 0 would mean it appears in the “vertical middle” of it.
This value is not imported in Calc so the X axis appears in the “vertical middle” of the chart, making it harder to read.

Steps to reproduce:
    1. Open attached file

Actual results:
X axis appears in the middle of the chart area instead of below it.

Expected results:
X axis appears below the chart area.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 91330c503b7eb91d777978018b66890af87cf8f5
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also in 7.0, 6.0, 5.0, 4.2.
But not yet in 4.1, this value was correctly read back then.
Comment 1 NISZ LibreOffice Team 2021-05-18 12:57:09 UTC
Created attachment 172131 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 2 Commit Notification 2021-08-23 09:50:59 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e701732725dd641741f39020d7dc965bc4db765d

tdf#142351 chart ooxml import: fix category axis cross position

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2021-08-24 05:04:31 UTC
Working well

Verified with
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: fbe183bbb05220a4ccc51952445b1797bb498403
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 4 Commit Notification 2021-08-24 09:19:07 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/e9fd6d94c3fe58ad6319daba5afca644e4e699a7

tdf#142351 chart ooxml import: fix category axis cross position

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.